import { Observable } from 'rxjs/Observable';
import { Domain, GeneralUtils, HttpUtilsService, MessageService } from 'bitfront-library/shared/index';
import { Campanya } from '../data/campanya';
import { Servicio } from '../data/servicio';
import { ServicioCampo } from '../data/servicio-campo';
import { AgendaHora } from '../data/agenda-hora';
export declare class CampanyaService {
    http: HttpUtilsService;
    message: MessageService;
    utils: GeneralUtils;
    protected baseUrl: string;
    constructor(http: HttpUtilsService, message: MessageService, utils: GeneralUtils);
    findCampanya(referencia: string): Observable<Campanya>;
    findServicios(referencia: string): Observable<Servicio[]>;
    findServicio(referencia: string, servicioId: number): Observable<Servicio>;
    findSitios(referencia: string): Observable<Domain[]>;
    findEntidades(referencia: string, servicioId: number, sitioId: number): Observable<Domain[]>;
    findRecursosDeEntidad(referencia: string, entidadId: number, servicioId?: number): Observable<Domain[]>;
    findCamposDeServicio(referencia: string, servicioId: number): Observable<ServicioCampo[]>;
    findPrimerDiaHoraDisponible(referencia: string, servicioId: number, entidadId: number, sitioId: number, recursoId?: number): Observable<AgendaHora>;
    findDiasDisponibles(referencia: string, servicioId: number, entidadId: number, sitioId: number, recursoId?: number): Observable<AgendaHora[]>;
    findHorasDisponibles(dia: string, referencia: string, servicioId: number, entidadId: number, sitioId: number, recursoId?: number): Observable<AgendaHora[]>;
    resendSmsCita(referencia: string, nif: string, telefono: string): Observable<any>;
}
