"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var index_1 = require("bitfront-library/shared/index");
var peticion_cita_1 = require("../../common/data/peticion-cita");
var resumen_cita_1 = require("../../common/data/resumen-cita");
/** Clase abstracta que define el comportamiento base de un paso de una reserva de cita. */
var ReservarCitaPaso = (function () {
    /** Constructor. */
    function ReservarCitaPaso(pasoNombre) {
        this.pasoNombre = pasoNombre;
        this.visible = true;
        this.pasoAnterior = new core_1.EventEmitter();
        this.pasoSiguiente = new core_1.EventEmitter();
        console.log(this.pasoNombre + " construido");
    }
    /** Inicialización del componente. */
    /** Inicialización del componente. */
    ReservarCitaPaso.prototype.ngOnInit = /** Inicialización del componente. */
    function () {
        this.loadDatosInicio();
        this.esCatalanSeleccionado = index_1.Idioma.esCatalanSeleccionado();
        console.log(this.pasoNombre + " iniciado");
    };
    /** Se activa con el cambio del input "visible", por lo que solo ejecutamos refreshDatosVisible() cuando el usuario vuelve al paso. */
    /** Se activa con el cambio del input "visible", por lo que solo ejecutamos refreshDatosVisible() cuando el usuario vuelve al paso. */
    ReservarCitaPaso.prototype.ngOnChanges = /** Se activa con el cambio del input "visible", por lo que solo ejecutamos refreshDatosVisible() cuando el usuario vuelve al paso. */
    function (changes) {
        if (this.visible) {
            this.refreshDatosVisible();
        }
    };
    /** Carga de datos iniciales (desde ngOnInit()). */
    /** Carga de datos iniciales (desde ngOnInit()). */
    ReservarCitaPaso.prototype.loadDatosInicio = /** Carga de datos iniciales (desde ngOnInit()). */
    function () { };
    /** Refresco de datos al volver al paso (desde otro paso). */
    /** Refresco de datos al volver al paso (desde otro paso). */
    ReservarCitaPaso.prototype.refreshDatosVisible = /** Refresco de datos al volver al paso (desde otro paso). */
    function () { };
    /** Validación del paso para poder continuar al siguiente. */
    /** Validación del paso para poder continuar al siguiente. */
    ReservarCitaPaso.prototype.validarPaso = /** Validación del paso para poder continuar al siguiente. */
    function () { return true; };
    /** Actualización de la información general de la reserva de cita (petición, resumen). */
    /** Actualización de la información general de la reserva de cita (petición, resumen). */
    ReservarCitaPaso.prototype.updateReservaCita = /** Actualización de la información general de la reserva de cita (petición, resumen). */
    function () { };
    /** Navegación al paso anterior. */
    /** Navegación al paso anterior. */
    ReservarCitaPaso.prototype.goToPasoAnterior = /** Navegación al paso anterior. */
    function () { this.pasoAnterior.emit(); };
    /** Navegación al paso siguiente. */
    /** Navegación al paso siguiente. */
    ReservarCitaPaso.prototype.goToPasoSiguiente = /** Navegación al paso siguiente. */
    function () {
        this.updateReservaCita();
        if (this.validarPaso()) {
            this.pasoSiguiente.emit();
        }
    };
    /** Receptor del reset general. */
    /** Receptor del reset general. */
    ReservarCitaPaso.prototype.reset = /** Receptor del reset general. */
    function () {
        console.log(this.pasoNombre + " reset");
        window.scrollTo(0, 0);
        this.resetActions();
    };
    /** Acciones correspondientes al paso cuando ocurre un reset general. */
    /** Acciones correspondientes al paso cuando ocurre un reset general. */
    ReservarCitaPaso.prototype.resetActions = /** Acciones correspondientes al paso cuando ocurre un reset general. */
    function () { };
    ReservarCitaPaso.propDecorators = {
        "peticion": [{ type: core_1.Input },],
        "resumen": [{ type: core_1.Input },],
        "visible": [{ type: core_1.Input },],
        "pasoAnterior": [{ type: core_1.Output },],
        "pasoSiguiente": [{ type: core_1.Output },],
    };
    return ReservarCitaPaso;
}());
exports.ReservarCitaPaso = ReservarCitaPaso;
//# sourceMappingURL=reservar-cita-paso.js.map